### Method

# Gio DtlsClientConnection set_validation_flags

deprecated: 2.74 since: 2.48

#### Declaration [src]

    void
    g_dtls_client_connection_set_validation_flags (
      GDtlsClientConnection* conn,
      GTlsCertificateFlags flags
    )

#### Description [src]

Sets `conn`‘s validation flags, to override the default set of checks performed when validating a server certificate. By default, `G_TLS_CERTIFICATE_VALIDATE_ALL` is used.

This function does not work as originally designed and is impossible to use correctly. See `GDtlsClientConnection:validation-flags` for more information.

Available since: 2.48

Deprecated since: 2.74

Do not attempt to ignore validation errors.

Sets property | `Gio.DtlsClientConnection:validation-flags`

#### Parameters

`flags`

  Type: `GTlsCertificateFlags`

  The `GTlsCertificateFlags` to use.